Method: projects.locations.brands.evaluationCaseResults.list

Lists EvaluationCaseResults.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/evaluationCaseResults

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of evaluation case results. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of evaluation case results to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous evaluationCaseResults.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListEvaluationCaseResults.

If successful, the response body contains data with the following structure:

JSON representation
{
  "evaluationCaseResults": [
    {
      object (EvaluationCaseResult)
    }
  ],
  "nextPageToken": string
}
Fields
evaluationCaseResults[]

object (EvaluationCaseResult)

The evaluation case results from the specified collection. [(google.api.field_policy).auditing = "AUDIT_SIZE"];

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.